# $Revision: 1.48 $, $Date: 2011/12/21 14:45:30 $
Summary:	X Input extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia X Input
Name:		xorg-lib-libXi
Version:	1.5.0
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXi-%{version}.tar.bz2
# Source0-md5:	eed79448dd24b31f3fedb1750fc777b3
URL:		http://xorg.freedesktop.org/
BuildRequires:	asciidoc >= 8.4.5
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-dtd43-xml
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xmlto >= 0.0.20
BuildRequires:	xorg-lib-libX11-devel >= 1.2.99.901
BuildRequires:	xorg-lib-libXext-devel >= 1:1.0.99.1
BuildRequires:	xorg-proto-inputproto-devel >= 2.1
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.3
BuildRequires:	xorg-proto-xproto-devel >= 7.0.13
BuildRequires:	xorg-sgml-doctools >= 1.5
BuildRequires:	xorg-util-util-macros >= 1.10
Requires:	xorg-lib-libX11 >= 1.2.99.901
Obsoletes:	libXi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Input extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia X Input.

%package devel
Summary:	Header files for libXi library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXi
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel >= 1.2.99.901
Requires:	xorg-lib-libXext-devel >= 1:1.0.99.1
Requires:	xorg-proto-inputproto-devel >= 2.1
Obsoletes:	libXi-devel

%description devel
X Input extension library.

This package contains the header files needed to develop programs that
use libXi.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia X Input.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXi.

%package static
Summary:	Static libXi library
Summary(pl.UTF-8):	Biblioteka statyczna libXi
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXi-static

%description static
X Input extension library.

This package contains the static libXft library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia X Input.

Pakiet zawiera statyczną bibliotekę libXft.

%prep
%setup -q -n libXi-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXi.so.6

%files devel
%defattr(644,root,root,755)
%doc specs/*.html
%attr(755,root,root) %{_libdir}/libXi.so
%{_libdir}/libXi.la
%{_pkgconfigdir}/xi.pc
%{_includedir}/X11/extensions/XInput*.h
%{_mandir}/man3/X*.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXi.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXi.spec,v $
Revision 1.48  2011/12/21 14:45:30  arekm
- up to 1.5.0

Revision 1.47  2011/12/20 05:48:23  arekm
- up to 1.4.5

Revision 1.46  2011/12/15 22:14:58  arekm
- up to 1.4.4

Revision 1.45  2011/06/10 12:24:01  qboosh
- updated to 1.4.3

Revision 1.44  2011/05/30 18:10:20  qboosh
- unified+fixed libX11 deps

Revision 1.43  2011/05/30 17:36:01  gotar
- R: xorg-lib-libX11-devel >= 1.2.99.901 (XESetWireToEventCookie)

Revision 1.42  2011/03/19 05:42:23  arekm
- up to 1.4.2

Revision 1.41  2011/01/26 15:03:18  qboosh
- updated to 1.4.1

Revision 1.40  2011/01/24 02:09:33  sparky
- BR: docbook-dtd412-xml, docbook-dtd43-xml

Revision 1.39  2010/11/03 21:05:18  qboosh
- updated to 1.4.0

Revision 1.38  2010/08/05 07:13:47  qboosh
- updated to 1.3.2

Revision 1.37  2010/08/02 05:49:23  arekm
- up to 1.3.1

Revision 1.36  2009/11/12 09:22:57  patrys
- rebuild with new libpthread-stubs
- rel 2

Revision 1.35  2009/10/18 19:43:33  tommat
- BR: xmlto, asciidoc for manpages

Revision 1.34  2009/10/05 06:06:10  qboosh
- updated -devel deps

Revision 1.33  2009/10/04 22:58:32  qboosh
- updated util-macros version
- added README to doc

Revision 1.32  2009/10/02 06:51:34  arekm
- missing epoch

Revision 1.31  2009/10/02 06:40:18  arekm
- up to 1.3

Revision 1.30  2009/09/04 09:29:48  arekm
- up to 1.2.99.4

Revision 1.29  2009/06/15 16:44:46  hawk
- release 2

Revision 1.28  2009/02/26 06:15:44  arekm
- up to 1.2.1

Revision 1.27  2008/12/03 06:13:33  arekm
- up to 1.2.0

Revision 1.26  2008/11/17 17:23:56  qboosh
- ghost soname symlink

Revision 1.25  2008/11/17 08:10:08  arekm
- up to 1.1.4

Revision 1.24  2008/11/05 23:28:40  arekm
- release 2

Revision 1.23  2007/09/05 17:59:04  qboosh
- updated to 1.1.3

Revision 1.22  2007/08/01 06:40:24  arekm
- up to 1.1.2

Revision 1.21  2007/07/05 06:08:19  qboosh
- updated to 1.1.1

Revision 1.20  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.18  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.17  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.16  2006/11/02 12:41:15  qboosh
- updated to 1.1.0

Revision 1.15  2006/04/27 06:57:29  arekm
- up to 1.0.1

Revision 1.14  2006/03/08 22:07:12  qboosh
- release 1

Revision 1.13  2005/12/28 11:14:07  qboosh
- sources from X11R7.0 release

Revision 1.12  2005/12/20 12:52:19  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.11  2005/12/04 16:47:11  qboosh
- -devel desc fixes

Revision 1.10  2005/12/04 11:29:07  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.9  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.8  2005/10/20 22:10:06  qboosh
- BR: util-macros >= 0.99.1 (XORG_MANPAGE_SECTIONS)

Revision 1.7  2005/10/20 20:05:26  qboosh
- more docs, fixed libmandir

Revision 1.6  2005/10/20 19:10:04  jpc
- up to 0.99.1 (X11R7.0-RC1)

Revision 1.5  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/17 20:10:46  qboosh
- Obsoletes for old xlibs or separate packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.11  2005/08/14 23:07:05  arekm
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

Revision 1.10  2005/05/01 10:21:25  qboosh
- updated Source URL, unified URL

Revision 1.9  2004/12/13 20:30:19  radek
- s/-l -pl/-l pl/ in description

Revision 1.8  2004/05/22 19:22:27  qboosh
- unifications, updated autoconf version

Revision 1.7  2004/03/12 11:03:14  adgor
- Added apropriate conflicts for main & devel
- Added R /sbin/ldconfig where needed

Revision 1.6  2004/03/12 07:48:10  ankry
- pl

Revision 1.5  2004/03/10 16:53:36  adgor
- More noautoreqdeps

Revision 1.4  2004/03/06 17:12:00  freetz
- BRs/Rs fixed
- add patch solving problems with bogus xi.pc file and link against libXext
- rel ++

Revision 1.3  2004/03/05 00:06:40  adgor
- Rel++

Revision 1.2  2004/03/04 21:23:32  adgor
- Added two lines with define

Revision 1.1  2004/03/03 12:56:13  adgor
- Initial
